Package oracle.jdbc.diagnostics

## Class OracleDiagnosticPermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - oracle.jdbc.diagnostics.OracleDiagnosticPermission

All Implemented Interfaces:
  `java.io.Serializable`, `java.security.Guard`

    public class OracleDiagnosticPermission
    extends java.security.BasicPermission

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OracleDiagnosticPermission​(java.lang.String name)` Creates a new OracleDiagnosticPermission with the specified name.
`OracleDiagnosticPermission​(java.lang.String name, java.lang.String actions)` Creates a new OracleDiagnosticPermission with the specified name.

### Method Summary

### Methods inherited from class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods inherited from class java.security.Permission

`checkGuard, getName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OracleDiagnosticPermission

    public OracleDiagnosticPermission​(java.lang.String name)

Creates a new OracleDiagnosticPermission with the specified name. Name is one of "observability.sensitive", diagnosability.sensitive", "trace.sensitive".

Parameters:
  `name` - the name of the OracleDiagnosticPermission.
Throws:
  `java.lang.NullPointerException` - if `name` is `null`.
  `java.lang.IllegalArgumentException` - if `name` is empty.

#### OracleDiagnosticPermission

    public OracleDiagnosticPermission​(java.lang.String name,
                                      java.lang.String actions)

Creates a new OracleDiagnosticPermission with the specified name. Name is one of "observability.sensitive", diagnosability.sensitive", "trace.sensitive". The actions String is currently unused.

Parameters:
  `name` - the name of the OracleDiagnosticPermission.
  `actions` - ignored.
Throws:
  `java.lang.NullPointerException` - if `name` is `null`.
  `java.lang.IllegalArgumentException` - if `name` is empty.